net.minecraft.item

## Class ItemMap

- java.lang.Object
- - net.minecraft.item.Item
  - - net.minecraft.item.ItemMapBase
    - - net.minecraft.item.ItemMap

-     public class ItemMap
      extends ItemMapBase

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.minecraft.item.Item

      `Item.ToolMaterial`

  - ### Field Summary

    - ### Fields inherited from class net.minecraft.item.Item

      `bFull3D, canRepair, field_111210_e, hasSubtypes, iconString, itemIcon, itemRand, itemRegistry, maxStackSize`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ItemMap()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addInformation(ItemStack par1ItemStack, EntityPlayer par2EntityPlayer, java.util.List par3List, boolean par4)`
    `Packet` | `func_150911_c(ItemStack p_150911_1_, World p_150911_2_, EntityPlayer p_150911_3_)`
    `static MapData` | `func_150912_a(int p_150912_0_, World p_150912_1_)`
    `MapData` | `getMapData(ItemStack par1ItemStack, World par2World)`
    `void` | `onCreated(ItemStack par1ItemStack, World par2World, EntityPlayer par3EntityPlayer)`
    `void` | `onUpdate(ItemStack par1ItemStack, World par2World, Entity par3Entity, int par4, boolean par5)`
    `void` | `updateMapData(World par1World, Entity par2Entity, MapData par3MapData)`

    - ### Methods inherited from class net.minecraft.item.ItemMapBase

      `isMap`

    - ### Methods inherited from class net.minecraft.item.Item

      `canHarvestBlock, canItemEditBlocks, createEntity, doesContainerItemLeaveCraftingGrid, doesSneakBypassUse, func_150893_a, func_150897_b, getArmorModel, getArmorTexture, getAttributeModifiers, getChestGenBase, getColorFromItemStack, getContainerItem, getContainerItem, getCreativeTab, getCreativeTabs, getDamage, getDigSpeed, getDisplayDamage, getDurabilityForDisplay, getEntityLifespan, getFontRenderer, getHarvestLevel, getHasSubtypes, getIcon, getIcon, getIconFromDamage, getIconFromDamageForRenderPass, getIconIndex, getIconString, getIdFromItem, getIsRepairable, getItemAttributeModifiers, getItemById, getItemEnchantability, getItemFromBlock, getItemStackDisplayName, getItemStackLimit, getItemStackLimit, getItemUseAction, getMaxDamage, getMaxDamage, getMaxItemUseDuration, getMetadata, getMovingObjectPositionFromPlayer, getPotionEffect, getRarity, getRenderPasses, getShareTag, getSmeltingExperience, getSpriteNumber, getSubItems, getToolClasses, getUnlocalizedName, getUnlocalizedName, getUnlocalizedNameInefficiently, hasContainerItem, hasContainerItem, hasCustomEntity, hasEffect, hasEffect, hitEntity, isBookEnchantable, isDamageable, isDamaged, isFull3D, isItemTool, isPotionIngredient, isRepairable, isValidArmor, itemInteractionForEntity, onArmorTick, onBlockDestroyed, onBlockStartBreak, onDroppedByPlayer, onEaten, onEntityItemUpdate, onEntitySwing, onItemRightClick, onItemUse, onItemUseFirst, onLeftClickEntity, onPlayerStoppedUsing, onUsingTick, registerIcons, registerItems, renderHelmetOverlay, requiresMultipleRenderPasses, setContainerItem, setCreativeTab, setDamage, setFull3D, setHarvestLevel, setHasSubtypes, setMaxDamage, setMaxStackSize, setNoRepair, setPotionEffect, setTextureName, setUnlocalizedName, shouldRotateAroundWhenRendering, showDurabilityBar`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ItemMap

          protected ItemMap()

  - ### Method Detail

    - #### func_150912_a

          public static MapData func_150912_a(int p_150912_0_,
                              World p_150912_1_)

    - #### getMapData

          public MapData getMapData(ItemStack par1ItemStack,
                           World par2World)

    - #### updateMapData

          public void updateMapData(World par1World,
                           Entity par2Entity,
                           MapData par3MapData)

    - #### onUpdate

          public void onUpdate(ItemStack par1ItemStack,
                      World par2World,
                      Entity par3Entity,
                      int par4,
                      boolean par5)

      Overrides:
        `onUpdate` in class `Item`

    - #### func_150911_c

          public Packet func_150911_c(ItemStack p_150911_1_,
                             World p_150911_2_,
                             EntityPlayer p_150911_3_)

      Overrides:
        `func_150911_c` in class `ItemMapBase`

    - #### onCreated

          public void onCreated(ItemStack par1ItemStack,
                       World par2World,
                       EntityPlayer par3EntityPlayer)

      Overrides:
        `onCreated` in class `Item`

    - #### addInformation

          public void addInformation(ItemStack par1ItemStack,
                            EntityPlayer par2EntityPlayer,
                            java.util.List par3List,
                            boolean par4)

      Overrides:
        `addInformation` in class `Item`